#! /usr/bin/python

import os
import launch

package = 'org.speechforge.cairo.demo.bargein'
klass = 'BargeInClient'
grammar_url='file:CAIRO_HOME/demo/grammar/example.gram'
local_rtp_port = '42046'
prompt_text = 'You can start speaking any time.  Would you like to hear the weather, get sports news or hear a stock quote?'

args = ['%s.%s' % (package, klass),
        local_rtp_port,
        grammar_url, '"%s"' % prompt_text]

launch.launch(args)
