#! /usr/bin/python

import os
import launch

package = 'org.speechforge.cairo.demo.bargein'
klass = 'BargeInClient'
grammar_url='file:CAIRO_HOME/demo/grammar/example-loop.gram'
local_rtp_port = '42046'
prompt_text = 'You can start speaking any time.  Would you like to hear the weather, get sports news or hear a stock quote?  Say quit to exit.'

args = ['%s.%s' % (package, klass), '-loop', '-parrot',
        local_rtp_port,
        grammar_url, '"%s"' % prompt_text]

launch.launch(args)

